Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Functions | Variables
bugedit.php File Reference

Go to the source code of this file.

## Functions
| sendAssignedMail ( $bug, $userEmail, $ini, $Language)

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZBugMain", "Language" )
| $session = new eZSession()
if(isset( $Cancel)) | $t
if(isset( $InsertFile)) if(isset( $InsertImage)) if(isset( $DeleteSelected)) if( $Action=="Edit") | $category = new eZBugCategory()
| $module = new eZBugModule()
| $priority = new eZBugPriority()
| $status = new eZBugStatus()
| $categories = $category->getAll()
foreach( $categories as $category) | $modules = $module->getAll()
foreach( $modules as $module) | $priorities = $priority->getAll()
foreach( $priorities as $priority) | $statuses = $status->getAll()
foreach( $statuses as $status) | $ownerGroup = eZObjectPermission::getGroups( $moduleID, "bug_module", 'w', false )
| $owner = $bug->owner()
| $currentOwner = -1
if(count( $ownerGroup) > 0) | else

## Function Documentation

## ◆ sendAssignedMail()

sendAssignedMail | ( |  | $bug,
|  |  | $userEmail,
|  |  | $ini,
|  |  | $Language
| ) |  |

This function sends a mail to the person whom the bug is assigned to. The code could just as well be pasted right in where function call is, but to keep things a little bit simpler, ive put it in here.

Definition at line 599 of file bugedit.php.

References $bug, $GlobalSiteIni, $headerInfo, $ini, $Language, $languageIni, $mail, $module, $msg, and $user.

## Variable Documentation

## ◆ $categories

$categories = $category->getAll()

Definition at line 477 of file bugedit.php.

## ◆ $category

if (isset($InsertFile)) if (isset($InsertImage)) if (isset($DeleteSelected)) if ($Action=="Edit") $category = new eZBugCategory()

Definition at line 470 of file bugedit.php.

## ◆ $currentOwner

$currentOwner = -1

Definition at line 556 of file bugedit.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 38 of file bugedit.php.

Referenced by sendAssignedMail().

## ◆ $Language

$Language = $ini->variable( "eZBugMain", "Language" )

Definition at line 40 of file bugedit.php.

Referenced by sendAssignedMail().

## ◆ $module

$module = new eZBugModule()

Definition at line 471 of file bugedit.php.

Referenced by sendAssignedMail().

## ◆ $modules

foreach ($categories as $category) $modules = $module->getAll()

Definition at line 496 of file bugedit.php.

Referenced by ezpTopologicalSort\__construct(), eZModuleHandler\active(), eZModuleHandler\append(), eZBugModule\countBugs(), eZModule\getAll(), eZModuleHandler\moveDown(), eZModuleHandler\moveUp(), eZModuleHandler\remove(), ezpbKernelAdmin\run(), eZModuleHandler\setActive(), and eZBugModule\setOwnerGroup().

## ◆ $owner

$owner = $bug->owner()

Definition at line 555 of file bugedit.php.

Referenced by ezpRestClient\_owner(), and eZForumMessage\user().

## ◆ $ownerGroup

foreach ($statuses as $status) $ownerGroup = eZObjectPermission::getGroups( $moduleID, "bug_module", 'w', false )

Definition at line 553 of file bugedit.php.

Referenced by send_email().

## ◆ $priorities

foreach ($modules as $module) $priorities = $priority->getAll()

Definition at line 515 of file bugedit.php.

## ◆ $priority

$priority = new eZBugPriority()

Definition at line 472 of file bugedit.php.

## ◆ $session

$session = new eZSession()

Definition at line 49 of file bugedit.php.

## ◆ $status

$status = new eZBugStatus()

Definition at line 473 of file bugedit.php.

Referenced by ezpRestOauthAuthenticationStyle\authenticate(), ezpContentPublishingQueueProcessor\childSignalHandler(), ezpRestAuthController\doOauthRequired(), ezpContentPublishingProcess\fetchProcesses(), ezpContentPublishingProcess\getStatusString(), eZTSTranslator\loadTranslationFile(), ezpContentPublishingProcess\logStatusChange(), eZWebDAVContentBackend\performDelete(), eZFile\rename(), ezpNativeUserAuthFilter\run(), ezpOauthFilter\run(), eZBug\setStatus(), eZMail\setStatus(), ezpContentPublishingProcess\setStatus(), eZOrder\statusHistory(), and eZOrder\store().

## ◆ $statuses

foreach ($priorities as $priority) $statuses = $status->getAll()

Definition at line 534 of file bugedit.php.

## ◆ $t

if (isset($Cancel)) $t

Initial value:
= new eZTemplate( "kernel/ezbug/admin/" . $ini->variable( "eZBugMain", "AdminTemplateDir" ),
"kernel/ezbug/admin/intl", $Language, "bugedit.php" )
$Language
$Language
Definition: bugedit.php:40
$ini
$ini
Definition: bugedit.php:38
eZTemplate
Definition: eztemplate.php:107

Definition at line 67 of file bugedit.php.

## ◆ else

if (count($ownerGroup) > 0) else

Initial value:
{
$t->set_var( "owner_item", "" )
$t
if(isset( $Cancel)) $t
Definition: bugedit.php:67

Definition at line 586 of file bugedit.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.